List All Lists
curl --request GET \
--url https://api.example.com/v1/listsimport requests
url = "https://api.example.com/v1/lists"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"lists": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"contact_count": 123,
"created_at": "<string>",
"updated_date": "<string>"
}
]
}
}Lists
List All Lists
Retrieve all contact lists in your workspace
GET
/
v1
/
lists
List All Lists
Request
Headers
Authorization: Bearer wbk_your_api_key_here
Response
object
curl https://data.leadlex.com/functions/v1/api-gateway/v1/lists \
-H "Authorization: Bearer wbk_your_api_key_here"
import requests
API_KEY = "wbk_your_api_key_here"
BASE_URL = "https://data.leadlex.com/functions/v1/api-gateway"
headers = {"Authorization": f"Bearer {API_KEY}"}
response = requests.get(f"{BASE_URL}/v1/lists", headers=headers)
lists = response.json()["data"]["lists"]
const response = await fetch(
'https://data.leadlex.com/functions/v1/api-gateway/v1/lists',
{
headers: { 'Authorization': 'Bearer wbk_your_api_key_here' }
}
);
const { data } = await response.json();
console.log(data.lists);
Example Response
{
"data": {
"lists": [
{
"id": "abc12345-678d-90ef-1234-567890abcdef",
"name": "Outreach Q1 2026",
"description": "Prospects for Q1 campaign",
"contact_count": 45,
"created_at": "2026-01-15T10:00:00Z",
"updated_date": "2026-02-20T14:30:00Z"
},
{
"id": "def67890-abcd-1234-5678-90abcdef1234",
"name": "Legal Tech Leads",
"description": "Law firms interested in automation",
"contact_count": 120,
"created_at": "2025-12-01T09:00:00Z",
"updated_date": "2026-02-24T10:15:00Z"
}
]
}
}
Errors
| Status | Code | Description |
|---|---|---|
| 401 | invalid_key | Invalid API key |
| 403 | insufficient_permissions | Missing read permission |
| 429 | rate_limited | Rate limit exceeded |